For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Custom fonts
      • GETList custom fonts
      • GETGet custom font
      • POSTCreate custom font
      • PATCHUpdate custom font
      • PUTReplace custom font file
      • DELDelete custom font
      • POSTBatch delete custom fonts
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
Custom fontsCustom fonts

Update custom font

PATCH
https://api.webflow.com/v2/sites/:site_id/custom_fonts/:font_id
PATCH
/v2/sites/:site_id/custom_fonts/:font_id
$curl -X PATCH https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/custom_fonts/66f3a1b2c4d5e6f7a8b9c0d1 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "customFont": {
3 "id": "66f3a1b2c4d5e6f7a8b9c0d1",
4 "fontFamily": "Acme Sans",
5 "format": "woff2",
6 "fileName": "AcmeSans-Regular.woff2",
7 "weight": 400,
8 "italic": false,
9 "fontDisplay": "swap",
10 "axes": [
11 {
12 "tag": "wght",
13 "min": 100,
14 "max": 900,
15 "defaultValue": 400,
16 "name": "Weight"
17 }
18 ],
19 "hostedUrl": "https://uploads-ssl.webflow.com/6437e21619d24aff35b2e4f2/66f3a1b2-AcmeSans-Regular.woff2"
20 }
21}
Update the metadata of a custom font. The font binary is not changed by this endpoint. To replace the binary, use [Replace custom font file](#operation/replace-custom-font-file). The request body must include at least one of `fontFamily`, `weight`, `italic`, or `fontDisplay`. Required scope | `sites:write`
Was this page helpful?
Previous

Replace custom font file

Next
Built with

Update the metadata of a custom font. The font binary is not changed by this endpoint. To replace the binary, use Replace custom font file.

The request body must include at least one of fontFamily, weight, italic, or fontDisplay.

Required scope | sites:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
font_idstringRequiredformat: "objectid"
Unique identifier for a custom font on a site

Request

Metadata fields to update. At least one field is required.
fontFamilystringOptional

The CSS font-family name (1-256 characters)

weightintegerOptional1-1000

CSS font-weight value (1-1000)

italicbooleanOptional
Whether the font is italic
fontDisplayenumOptional

CSS font-display value

Allowed values:

Response

Request was successful
customFontobject
A custom font uploaded to a Webflow site

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error